Download Report
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/issuing/reports/{id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/issuing/reports/{id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/issuing/reports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Reports
Download Report
Downloads a report file by passing a report id.
GET
/
v1
/
issuing
/
reports
/
{id}
Download Report
Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts endpoint. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Path Parameters
Unique identifier for the report.
Example:
"c0cef051-29c5-4796-b86a-cd5b684bfad7"
Response
200 - application/octet-stream
OK - Found report file successfully.
The response is of type file.

